curl -X POST https://api.hellotracks.com/api/editplace \
--header 'API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
-d '{
"data": {
"uid": "abc123",
"name": "Main Warehouse",
"radius": 150,
"extended_data": [
{"key": "manager", "val": "John Smith"},
{"key": "hours", "val": "8AM-6PM"}
]
}
}'
curl -X POST https://api.hellotracks.com/api/editplace \
--header 'API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
-d '{
"data": {
"uids": ["place1", "place2", "place3"],
"teams": [1, 2],
"radius": 100
}
}'
{
"status": 123
}Place Management
Edit Place
Update properties of an existing place.
POST
/
api
/
editplace
curl -X POST https://api.hellotracks.com/api/editplace \
--header 'API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
-d '{
"data": {
"uid": "abc123",
"name": "Main Warehouse",
"radius": 150,
"extended_data": [
{"key": "manager", "val": "John Smith"},
{"key": "hours", "val": "8AM-6PM"}
]
}
}'
curl -X POST https://api.hellotracks.com/api/editplace \
--header 'API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
-d '{
"data": {
"uids": ["place1", "place2", "place3"],
"teams": [1, 2],
"radius": 100
}
}'
{
"status": 123
}Update one or more properties of an existing place. You can update location details, contact information, radius, team assignments, and custom data.
Alternatively, you can edit multiple places at once using the
REQUEST
POST https://api.hellotracks.com/api/editplace
{
"data": {
"uid": "p1q2r3",
"name": "Updated Place Name",
"radius": 100,
"phone": "+14155551234",
"email": "updated@example.com",
"address": "456 New Street",
"city": "San Francisco",
"postalcode": "94105",
"state": "CA",
"country_code": "US",
"color": "#FF5733",
"linkedForms": "form1,form2",
"teams": [1, 2, 3],
"extended_data": [
{"key": "manager", "val": "Jane Smith"},
{"key": "notes", "val": "Updated location"}
]
}
}
uids array:
POST https://api.hellotracks.com/api/editplace
{
"data": {
"uids": ["uid1", "uid2", "uid3"],
"radius": 150,
"teams": [1, 2]
}
}
Array of place UIDs to edit multiple places with the same changes. Alternative to
uid for batch operations.Update or add custom data fields. Array of key-value pair objects.Example:
[{"key": "manager", "val": "John Doe"}, {"key": "capacity", "val": "100"}]Permissions
- You must have edit permissions for the place(s) you’re modifying
- Workers may have restricted editing capabilities depending on company settings
- You can only edit places within your organization or network
Batch Editing
When using theuids array, all specified places will be updated with the same values. This is useful for:
- Updating radius for multiple locations
- Reassigning places to different teams
- Bulk updates to any common property
RESPONSE
{
"status": 0
}
Examples
curl -X POST https://api.hellotracks.com/api/editplace \
--header 'API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
-d '{
"data": {
"uid": "abc123",
"name": "Main Warehouse",
"radius": 150,
"extended_data": [
{"key": "manager", "val": "John Smith"},
{"key": "hours", "val": "8AM-6PM"}
]
}
}'
curl -X POST https://api.hellotracks.com/api/editplace \
--header 'API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
-d '{
"data": {
"uids": ["place1", "place2", "place3"],
"teams": [1, 2],
"radius": 100
}
}'
Tip: Only include the fields you want to update. Omitted fields will remain unchanged.